Early work on HPJava

<h1>``High Performance Java'' at NPAC: early work</h1>

Emphasis in 1996 was on providing class libraries to facilitate
communication and parallel computation within the framework of Java.
We prototyped a class library for Fortran-M-like channel
communication, supporting a message-passinge style of programming, and
later experimented with class library interfaces to
directly support the data parallel programming style.

<ul>
<li> <em>HPCC and Java</em> draft white paper.

<table border=0 cellpadding=5 >
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/users/gcf/hpjava3.html">HTML</a></TD>
<td>&nbsp;</td>
</table>

<li>
<em>Selected Notes on <em>HPJava</em>.</em>
December, 1996.
Emails and progress reports, including description of work on Fortran-M-like
channels.

<table border=0 cellpadding=5 >
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/reports/NotesOnHPJava/reports.ps">Postscript</a></TD>
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/reports/NotesOnHPJava/reports.pdf">PDF</a></TD>
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/reports/NotesOnHPJava/reports/reports.html">HTML</a></TD>
<td>&nbsp;</td>
</table>

<li> 
<em>Experiments with HPJava.</em>
Presented at <i>Java for Science and Engineering Computation</i> workshop</a>, Syracuse, December 1996.

<table border=0 cellpadding=5 >
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/papers/exptsHPJava/experiments.ps">Postscript</a></TD>
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/papers/exptsHPJava/experiments.pdf">PDF</a></TD>
<td>&nbsp;</td>
<td><a href="http://www.npac.syr.edu/projects/pcrc/papers/exptsHPJava/experiments/experiments.html">HTML</a></TD>
<td>&nbsp;</td>
</table>

</ul>

